# TODO:
# - runtime Requires if any
%define		kdeframever	5.13
%define		qtver		5.3.2
%define		kfname		karchive

Summary:	Reading, creating, and manipulating file archives
Name:		kf5-%{kfname}
Version:	5.13.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	dd01dc1252cb3d862959970ef7d7f5eb
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KArchive provides classes for easy reading, creation and manipulation
of "archive" formats like ZIP and TAR.

If also provides transparent compression and decompression of data,
like the GZip format, via a subclass of QIODevice.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5Archive.so.5
%attr(755,root,root) %{_libdir}/libKF5Archive.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KArchive
%{_includedir}/KF5/karchive_version.h
%attr(755,root,root) %{_libdir}/libKF5Archive.so
%{_libdir}/cmake/KF5Archive
%{qt5dir}/mkspecs/modules/qt_KArchive.pri
%changelog
* Fri Sep 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-karchive.git;a=log;h=master

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e4d605
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a5bd3a8
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c55184
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ae9f2b5
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> 3e033ea
- tar.xz deps

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6140a1b
- kde5 -> kf5
- more variables for cmake

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d4bafc2
- new

